<script setup>
    const props = defineProps(['facture'])
    import BoutonModifier from '../boutons/BoutonModifier.vue';
    import BoutonSupprimer from '../boutons/BoutonSupprimer.vue';
    import BoutonVoir from '../boutons/BoutonVoir.vue';
</script>

<template>
    <tr>
        <td>{{ props.facture.emetteur }}</td>
        <td>{{ props.facture.date }}</td>
        <td>{{ parseFloat(props.facture.prix) / 100.0 }} €</td>
        <td><BoutonVoir :href="'/factures/' + props.facture.idFacture"/></td>
        <td><BoutonModifier :href="'/factures/' + props.facture.idFacture" /></td>
        <td><BoutonSupprimer @click="$emit('supprimer', props.facture.idFacture)"/></td>
    </tr>
</template>

<style scoped></style>
